<?php

namespace kernel\console\controllers;

use kernel\console\ConsoleController;
use kernel\helpers\Files;
use kernel\helpers\Manifest;
use kernel\models\Option;
use kernel\services\AdminThemeService;
use ZipArchive;

class AdminThemeController extends ConsoleController
{

    public function actionInstallTheme(): void
    {
        if (!isset($this->argv['path'])) {
            throw new \Exception('Missing admin theme path "--path" specified');
        }

        if (file_exists(ROOT_DIR . $this->argv['path'])) {
            $adminThemeService = new AdminThemeService();
            if ($adminThemeService->install($this->argv['path'])) {
                $this->out->r("Тема админ-панели установлена", 'green');
            } else {
                $this->out->r("Ошибка установки темы админ-панели", 'red');
            }
        } else {
            $this->out->r("Тема админ-панели не найдена", 'red');
        }
    }

    public function actionUninstallTheme(): void
    {
        if (!isset($this->argv['path'])) {
            throw new \Exception('Missing admin theme path "--path" specified');
        }

        if (file_exists(ROOT_DIR . $this->argv['path'])) {
            $adminThemeService = new AdminThemeService();
            $adminThemeService->uninstall($this->argv['path']);




            $this->out->r("Тема удалена", 'green');
        } else {
            $this->out->r("Тема не найдена", 'red');
        }
    }

    /**
     * @throws \Exception
     */
    public function actionPackTheme(): void
    {
        if (!isset($this->argv['path'])) {
            throw new \Exception('Missing admin theme path "--path" specified');
        }

        if (file_exists(ROOT_DIR . $this->argv['path'])) {
            $adminThemeService = new AdminThemeService();
            $adminThemeService->pack($this->argv['path']);
            $this->out->r("Тема админ-панели заархивирована", 'green');
        } else {
            $this->out->r("Тема админ-панели не найдена", 'red');
        }
    }

}